number of issues with new install

randac56

Member
May 25, 2018
915
0
16
I am attempting to install rtorrent and rutorrent on a Synology DS410 NAS device. I have followed this guide to do the install - http://forum.synology.com/wiki/index.php/RTorrent_ruTorrent_HowTo

When I go open rutorrent I get two errors 1. bad link to rtorrent and 2. bad response from server [500].

I have attempted to install xmlrpc-c stable and advance. I get the errors with both. I have also tried to compile with and without the --disable-cplusplus flag, no difference either way.

Here is my rtorrent.conf file
Code:

# This is an example resource file for rTorrent. Copy to
# ~/.rtorrent.rc and enable/modify the options as needed. Remember to
# uncomment the options you wish to enable.

# Minumum amount of peers to connect per torrent, if available.
min_peers = 20

# Minumum amount of peers to connect per torrent.
max_peers = 40

# Same as above but for seeding completed torrents (-1 = same as downloading)
#min_peers_seed = 10
#max_peers_seed = 20

# Maximum number of simultanious uploads per torrent.
max_uploads = 5

# Global download rate in KiB. "0" for unlimited.
download_rate = 80

# Global upload rate in KiB. "0" for unlimited.
upload_rate = 80

# Default directory to save downloaded files. Note it doesn't support
# space yet.
directory = /opt/share/torrent/work/

# Watch a directory for new torrents, and stop those that have been deleted.
schedule = watch_directory,5,5,load_start=/opt/share/torrent/dl/*.torrent
schedule = untied_directory,5,5,stop_untied=

# Close torrents when diskspace is low.
#schedule = low_diskspace,5,60,close_low_diskspace=100M

# Default session directory. Make sure you don't run multiple instance
# of rtorrent using the same session directory. Perhaps using a
# relative path?
session = /opt/share/torrent/session

# The ip address reported to the tracker.
#ip = rakshasa

# The ip address the listening socket and outgoing connections is
# bound to.
#bind = rakshasa

# Port range to use for listening.
port_range = 51777-51780

# Start opening ports at a random position within the port range.
#port_random = no

# Check hash for finished torrents. Might be usefull until the bug is
# fixed that causes lack of diskspace not to be properly reported.
#check_hash = no

# Set whetever the client should try to connect to UDP trackers.
#use_udp_trackers = yes

# Alternative calls to bind and ip that should handle dynamic ip's.
#schedule = ip_tick,0,1800,ip=rakshasa
#schedule = bind_tick,0,1800,bind=rakshasa

#
# Do not modify the following parameters unless you know what you're doing.
#

# Hash read-ahead controls how many MB to request the kernel to read
# ahead. If the value is too low the disk may not be fully utilized,
# while if too high the kernel might not be able to keep the read
# pages in memory thus end up trashing.
#hash_read_ahead = 10

# Interval between attempts to check the hash, in milliseconds.
#hash_interval = 100

# Number of attempts to check the hash while using the mincore status,
# before forcing. Overworked systems might need lower values to get a
# decent hash checking rate.
#hash_max_tries = 10

# Max number of files to keep open simultaniously.
#max_open_files = 128

# Number of sockets to simultaneously keep open.
#max_open_sockets = <no default>


# Example of scheduling commands: Switch between two ip's every 5
# seconds.
#schedule = "ip_tick1,5,10,ip=torretta"
#schedule = "ip_tick2,10,10,ip=lampedusa"

# Remove a scheduled event.
#schedule_remove = "ip_tick1"

# Stop torrents when reaching upload ratio in percent,
# when also reaching total upload in bytes, or when
# reaching final upload ratio in percent.
# example: stop at ratio 2.0 with at least 200 MB uploaded, or else ratio 20.0
#schedule = ratio,60,60,"stop_on_ratio=200,200M,2000"
schedule = ratio,30,60,stop_on_ratio=200


# Encryption options, set to none (default) or any combination of the following:
# allow_incoming, try_outgoing, require, require_RC4, enable_retry, prefer_plaintext
#
# The example value allows incoming encrypted connections, starts unencrypted
# outgoing connections but retries with encryption if they fail, preferring
# plaintext to RC4 encryption after the encrypted handshake
#
# encryption = allow_incoming,enable_retry,prefer_plaintext

# Enable DHT support for trackerless torrents or when all trackers are down.
# May be set to "disable" (completely disable DHT), "off" (do not start DHT),
# "auto" (start and stop DHT as needed), or "on" (start DHT immediately).
# The default is "off". For DHT to work, a session directory must be defined.
#
# dht = auto

# UDP port to use for DHT.
#
# dht_port = 6881

# Enable peer exchange (for torrents not marked private)
#
# peer_exchange = yes

#
# Do not modify the following parameters unless you know what you're doing.
#

scgi_port = 127.0.0.1:5050

my rtorrent startup file
Code:

#!/opt/bin/bash

############################################################################
#Optware package of rtorrent uses non-standard layout of directories. ##
#Uncomment the following line to switch to the default layout of rtorrent.##
############################################################################
dirlayout=CUSTOM

#############
###<Notes>###
#############
# This script depends on screen.
# For the stop function to work, you must set an
# explicit session directory using ABSOLUTE paths (no, ~ is not absolute) in your rtorrent.rc.
# If you typically just start rtorrent with just "rtorrent" on the
# command line, all you need to change is the "user" option.
# Attach to the screen session as your user with
# "screen -dr rtorrent". Change "rtorrent" with srnname option.
# Licensed under the GPLv2 by lostnihilist: lostnihilist _at_ gmail _dot_ com
##############
###</Notes>###
##############

#######################
##Start Configuration##
#######################
# You can specify your configuration in a different file
# (so that it is saved with upgrades, saved in your home directory,
# or whateve reason you want to)
# by commenting out/deleting the configuration lines and placing them
# in a text file (say /home/user/.rtorrent.init.conf) exactly as you would
# have written them here (you can leave the comments if you desire
# and then uncommenting the following line correcting the path/filename
# for the one you used. note the space after the ".".
# . /etc/rtorrent.init.conf

#Do not put a space on either side of the equal signs e.g.
# user = user
# will not work
# system user to run as
user="root"

# the system group to run as, not implemented, see d_start for beginning implementation
# group=`id -ng "$user"`

prefix="/opt"

# the full path to the filename where you store your rtorrent configuration
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
config="${prefix}/home/${user}/.rtorrent.rc"
else
config="/opt/etc/rtorrent.conf"
fi

# set of options to run with
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
options=""
else
options="-n -o import=${config}"
fi

# default directory for screen, needs to be an absolute path
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
base="${prefix}/home/${user}"
else
base="/opt/share/torrent"
fi

# name of screen session
srnname="rtorrent"

# file to log to (makes for easier debugging if something goes wrong)
logfile="/opt/var/log/rtorrentInit.log"

#######################
###END CONFIGURATION###
#######################
PATH=/opt/bin:/opt/sbin:/usr/bin:/sbin:/bin:/usr/sbin
DESC="rtorrent"
NAME=rtorrent
DAEMON=$NAME
SCRIPTNAME=/etc/init.d/$NAME

# Do not proceed unless some apps are available.
test -x /opt/bin/screen || ( echo "screen not found." | tee -a "$logfile" >&2 ; exit 2 )
test -x /opt/bin/su -o -x /bin/su || ( echo "su not found." | tee -a "$logfile" >&2 ; exit 2 )

checkcnfg() {
exists=0
# for i in `echo "$PATH" | tr ':' '\n'` ; do
# if [ -f "$i/$NAME" ] ; then
exists=1
# break
# fi
# done


if [ $exists -eq 0 ] ; then
echo "cannot find rtorrent binary in PATH $PATH" | tee -a "$logfile" >&2
exit 3
fi
if ! [ -r "${config}" ] ; then
echo "cannot find readable config ${config}. check that it is there and permissions are appropriate" | tee -a "$logfile" >&2
exit 3
fi
session=`getsession "$config"`
if ! [ -d "${session}" ] ; then
echo "cannot find readable session directory ${session} from config ${config}. check permissions" | tee -a "$logfile" >&2
exit 3
fi
}

d_start() {
[ -d "${base}" ] && cd "${base}"

stty stop undef && stty start undef
#su -c "screen -ls | grep -sq "\.${srnname}[[:space:]]" " ${user} || su -c "screen -dm -S ${srnname} 2>&1 1>/dev/null" ${user} | tee -a "$logfile" >&2
# this works for the screen command, but starting rtorrent below adopts screen session gid
# even if it is not the screen session we started (e.g. running under an undesirable gid
#su -c "screen -ls | grep -sq "\.${srnname}[[:space:]]" " ${user} || su -c "sg \"$group\" -c \"screen -fn -dm -S ${srnname} 2>&1 1>/dev/null\"" ${user} | tee -a "$logfile" >&2
#su -c "screen -S "${srnname}" -X screen rtorrent ${options} 2>&1 1>/dev/null" ${user} | tee -a "$logfile" >&2
su -c "screen -dmS ${srnname} rtorrent ${options} 2>$logfile"
}

d_stop() {
session=`getsession "$config"`
if ! [ -s ${session}/rtorrent.lock ] ; then
return
fi
pid=`cat ${session}/rtorrent.lock | awk -F: '{print($2)}' | sed "s/[^0-9]//g"`
if ps | grep -sq ${pid}.*rtorrent ; then # make sure the pid doesn't belong to another process
kill -s INT ${pid}
fi
}

getsession() {
session=`awk '/^[[:space:]]*session[[:space:]]*=[[:space:]]*/{print($3)}' "$config"`
echo $session
}

checkcnfg

case "$1" in
start)
echo -n "Starting $DESC: $NAME"
d_start
echo "."
;;
stop)
echo -n "Stopping $DESC: $NAME"
d_stop
echo "."
;;
restart|force-reload)
echo -n "Restarting $DESC: $NAME"
d_stop
sleep 1
d_start
echo "."
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 1
;;
esac

exit 0
 

randac56

Member
May 25, 2018
915
0
16
my lighttp.conf file
Code:

# lighttpd configuration file
#
# use it as a base for lighttpd 1.0.0 and above
#
# $Id: lighttpd.conf 8860 2008-08-05 10:56:16Z engy $

############ Options you really have to take care of ####################

## modules to load
# at least mod_access and mod_accesslog should be loaded
# all other module should only be loaded if really neccesary
# - saves some time
# - saves memory
server.modules = (
# "mod_rewrite",
# "mod_redirect",
# "mod_alias",
"mod_access",
# "mod_cml",
# "mod_trigger_b4_dl",
# "mod_auth",
# "mod_status",
# "mod_setenv",
# "mod_fastcgi",
# "mod_proxy",
# "mod_simple_vhost",
# "mod_evhost",
# "mod_userdir",
"mod_scgi",
"mod_cgi",
# "mod_compress",
# "mod_ssi",
# "mod_usertrack",
# "mod_expire",
# "mod_secdownload",
# "mod_rrdtool",
"mod_accesslog" )

## a static document-root, for virtual-hosting take look at the
## server.virtual-* options
server.document-root = "/opt/share/www/"

## where to send error-messages to
server.errorlog = "/opt/var/log/lighttpd/error.log"

# files to check for if .../ is requested
index-file.names = ( "index.php", "index.html",
"index.htm", "default.htm",
"lighttpd/index.html" )

## set the event-handler (read the performance section in the manual)
server.event-handler = "poll" # needed on OS X

# mimetype mapping
mimetype.assign = (
".pdf" => "application/pdf",
".sig" => "application/pgp-signature",
".spl" => "application/futuresplash",
".class" => "application/octet-stream",
".ps" => "application/postscript",
".torrent" => "application/x-bittorrent",
".dvi" => "application/x-dvi",
".gz" => "application/x-gzip",
".pac" => "application/x-ns-proxy-autoconfig",
".swf" => "application/x-shockwave-flash",
".tar.gz" => "application/x-tgz",
".tgz" => "application/x-tgz",
".tar" => "application/x-tar",
".zip" => "application/zip",
".mp3" => "audio/mpeg",
".m3u" => "audio/x-mpegurl",
".wma" => "audio/x-ms-wma",
".wax" => "audio/x-ms-wax",
".ogg" => "application/ogg",
".wav" => "audio/x-wav",
".gif" => "image/gif",
".jpg" => "image/jpeg",
".jpeg" => "image/jpeg",
".png" => "image/png",
".xbm" => "image/x-xbitmap",
".xpm" => "image/x-xpixmap",
".xwd" => "image/x-xwindowdump",
".css" => "text/css",
".html" => "text/html",
".htm" => "text/html",
".js" => "text/javascript",
".asc" => "text/plain",
".c" => "text/plain",
".cpp" => "text/plain",
".log" => "text/plain",
".conf" => "text/plain",
".text" => "text/plain",
".txt" => "text/plain",
".dtd" => "text/xml",
".xml" => "text/xml",
".mpeg" => "video/mpeg",
".mpg" => "video/mpeg",
".mov" => "video/quicktime",
".qt" => "video/quicktime",
".avi" => "video/x-msvideo",
".asf" => "video/x-ms-asf",
".asx" => "video/x-ms-asf",
".wmv" => "video/x-ms-wmv",
".bz2" => "application/x-bzip",
".tbz" => "application/x-bzip-compressed-tar",
".tar.bz2" => "application/x-bzip-compressed-tar"
)

# Use the "Content-Type" extended attribute to obtain mime type if possible
#mimetype.use-xattr = "enable"


## send a different Server: header
## be nice and keep it at lighttpd
# server.tag = "lighttpd"

#### accesslog module
accesslog.filename = "/opt/var/log/lighttpd/access.log"

## deny access the file-extensions
#
# ~ is for backupfiles from vi, emacs, joe, ...
# .inc is often used for code includes which should in general not be part
# of the document-root
url.access-deny = ( "~", ".inc" )

$HTTP["url"] =~ "\.pdf$" {
server.range-requests = "disable"
}

##
# which extensions should not be handle via static-file transfer
#
# .php, .pl, .fcgi are most often handled by mod_fastcgi or mod_cgi
static-file.exclude-extensions = ( ".fcgi", ".php", ".pl", ".py", ".rb" )

######### Options that are good to be but not neccesary to be changed #######

## bind to port (default: 80)
server.port = 8081

## bind to localhost (default: all interfaces)
#server.bind = "grisu.home.kneschke.de"

## error-handler for status 404
#server.error-handler-404 = "/error-handler.html"
#server.error-handler-404 = "/error-handler.php"

## to help the rc.scripts
server.pid-file = "/var/run/lighttpd.pid"


###### virtual hosts
##
## If you want name-based virtual hosting add the next three settings and load
## mod_simple_vhost
##
## document-root =
## virtual-server-root + virtual-server-default-host + virtual-server-docroot
## or
## virtual-server-root + http-host + virtual-server-docroot
##
#simple-vhost.server-root = "/home/weigon/wwwroot/servers/"
#simple-vhost.default-host = "grisu.home.kneschke.de"
#simple-vhost.document-root = "/pages/"


##
## Format: <errorfile-prefix><status-code>.html
## -> ..../status-404.html for 'File not found'
#server.errorfile-prefix = "/home/weigon/projects/lighttpd/doc/status-"

## virtual directory listings
#dir-listing.activate = "enable"

## enable debugging
#debug.log-request-header = "enable"
#debug.log-response-header = "enable"
#debug.log-request-handling = "enable"
#debug.log-file-not-found = "enable"

### only root can use these options
#
# chroot() to directory (default: no chroot() )
#server.chroot = "/"

## change uid to <uid> (default: don't care)
#server.username = "nobody"

## change uid to <uid> (default: don't care)
#server.groupname = "nobody"

#### compress module
#compress.cache-dir = "/tmp/lighttpd/cache/compress/"
#compress.filetype = ("text/plain", "text/html")

#### proxy module
## read proxy.txt for more info
#proxy.server = ( ".php" =>
# ( "localhost" =>
# (
# "host" => "192.168.0.101",
# "port" => 80
# )
# )
# )

#### fastcgi module
## read fastcgi.txt for more info
#fastcgi.server = ( ".php" =>
# ( "localhost" =>
# (
# "socket" => "/tmp/php-fcgi.sock",
# "bin-path" => "/opt/bin/php-fcgi",
# "bin-environment" => (
# "PHP_FCGI_MAX_REQUESTS" => "4000"
# )
# )
# )
# )

#### CGI module
#cgi.assign = ( ".pl" => "/opt/bin/perl",
# ".cgi" => "/opt/bin/perl" )
#

#### SSL engine
#ssl.engine = "enable"
#ssl.pemfile = "server.pem"
#ssl.ca-file = "ca.crt"
#ssl.verifyclient.activate = "enable"
#ssl.verifyclient.enforce = "enable"
#ssl.verifyclient.depth = 1

#### status module
#status.status-url = "/server-status"
#status.config-url = "/server-config"

#### auth module
## read authentication.txt for more info
#auth.backend = "plain"
#auth.backend.plain.userfile = "lighttpd.user"
#auth.backend.plain.groupfile = "lighttpd.group"

#auth.backend.ldap.hostname = "localhost"
#auth.backend.ldap.base-dn = "dc=my-domain,dc=com"
#auth.backend.ldap.filter = "(uid=$)"

#auth.require = ( "/server-status" =>
# (
# "method" => "digest",
# "realm" => "download archiv",
# "require" => "user=jan"
# ),
# "/server-config" =>
# (
# "method" => "digest",
# "realm" => "download archiv",
# "require" => "valid-user"
# )
# )

#### url handling modules (rewrite, redirect, access)
#url.rewrite = ( "^/$" => "/server-status" )
#url.redirect = ( "^/wishlist/(.+)" => "http://www.123.org/$1" )
#### both rewrite/redirect support back reference to regex conditional using %n
#$HTTP["host"] =~ "^www\.(.*)" {
# url.redirect = ( "^/(.*)" => "http://%1/$1" )
#}

#
# define a pattern for the host url finding
# %% => % sign
# %0 => domain name + tld
# %1 => tld
# %2 => domain name without tld
# %3 => subdomain 1 name
# %4 => subdomain 2 name
#
#evhost.path-pattern = "/home/storage/dev/www/%3/htdocs/"

#### expire module
#expire.url = ( "/buggy/" => "access 2 hours", "/asdhas/" => "access plus 1 seconds 2 minutes")

#### ssi
#ssi.extension = ( ".shtml" )

#### rrdtool
#rrdtool.binary = "/opt/bin/rrdtool"
#rrdtool.db-name = "/var/www/lighttpd.rrd"

#### setenv
#setenv.add-request-header = ( "TRAV_ENV" => "mysql://user@host/db" )
#setenv.add-response-header = ( "X-Secret-Message" => "42" )

## for mod_trigger_b4_dl
# trigger-before-download.gdbm-filename = "/home/weigon/testbase/trigger.db"
# trigger-before-download.memcache-hosts = ( "127.0.0.1:11211" )
# trigger-before-download.trigger-url = "^/trigger/"
# trigger-before-download.download-url = "^/download/"
# trigger-before-download.deny-url = "http://127.0.0.1/index.html"
# trigger-before-download.trigger-timeout = 10

## for mod_cml
## don't forget to add index.cml to server.indexfiles
# cml.extension = ".cml"
# cml.memcache-hosts = ( "127.0.0.1:11211" )

#### variable usage:
## variable name without "." is auto prefixed by "var." and becomes "var.bar"
#bar = 1
#var.mystring = "foo"

## integer add
#bar += 1
## string concat, with integer cast as string, result: "www.foo1.com"
#server.name = "www." + mystring + var.bar + ".com"
## array merge
#index-file.names = (foo + ".php") + index-file.names
#index-file.names += (foo + ".php")

#### include
#include /etc/lighttpd/lighttpd-inc.conf
## same as above if you run: "lighttpd -f /etc/lighttpd/lighttpd.conf"
#include "lighttpd-inc.conf"

#### include_shell
#include_shell "echo var.a=1"
## the above is same as:
#var.a=1

# Configuration from other optware packages
include_shell "cat /opt/etc/lighttpd/conf.d/*.conf"

scgi.server = (
"/RPC2" =>
( "127.0.0.1" =>
(
"host" => "127.0.0.1",
"port" => 5050,
"check-local" => "disable"
)
)
)

this is my lighttpd error.log
Code:
2010-05-10 10:49:44: (log.c.166) server started
2010-05-10 10:49:44: (server.c.1105) fdevent_init failed
2010-05-10 10:51:39: (log.c.166) server started
2010-05-10 11:06:27: (mod_scgi.c.2276) establishing connection failed: Connection refused
2010-05-10 11:06:27: (mod_scgi.c.2403) fcgi-server disabled: 127.0.0.1 5050
2010-05-10 11:06:27: (mod_scgi.c.2784) all handlers for /RPC2 on /RPC2 are down.
2010-05-10 11:07:28: (mod_scgi.c.2101) fcgi-server re-enabled: 127.0.0.1 5050
2010-05-10 11:08:22: (server.c.1503) server stopped by UID = 0 PID = 18806
2010-05-10 11:10:13: (log.c.166) server started
2010-05-10 11:10:30: (mod_scgi.c.2276) establishing connection failed: Connection refused
2010-05-10 11:10:30: (mod_scgi.c.2403) fcgi-server disabled: 127.0.0.1 5050
2010-05-10 11:10:30: (mod_scgi.c.2784) all handlers for /RPC2 on /RPC2 are down.
2010-05-10 11:11:31: (mod_scgi.c.2101) fcgi-server re-enabled: 127.0.0.1 5050
MiniSrvr>
 

lisas4567

Member
May 25, 2018
773
0
16
Did you install/compile rtorrent from the .tar huh.gif

2010-05-10 11:06:27: (mod_scgi.c.2784) all handlers for /RPC2 on /RPC2 are down.


Looks like the webserver is not set-up correct .. are you sure mod_scgi is installed ?
 

Attachments

randac56

Member
May 25, 2018
915
0
16
I used svn to grab rtorrent.

Is there a cmd to check to see if mod_scgi is install?

I just ran ipkg info *scgi* and it doesn't look like anything in the rep is installed. I am not sure which to install though.
Code:

Package: perl-scgi
Version: 0.6-1
Depends: perl
Status: unknown ok not-installed
Section: web
Architecture: powerpc
maintainer: NSLU2 Linux <[email protected]>
MD5Sum: 3b31009a32ee5524f8d6a4cc093d9778
Size: 6248
Filename: perl-scgi_0.6-1_powerpc.ipk
Source: http://search.cpan.org/CPAN/authors/id/V/VI/VIPERCODE/SCGI-0.6.tar.gz
Description: The Perl SCGI server library.

Package: py25-cherokee-scgi
Version: 1.11-1
Depends: python25
Status: unknown ok not-installed
Section: misc
Architecture: powerpc
maintainer: NSLU2 Linux <[email protected]>
MD5Sum: 87af2119769803c66905ad4a9f0a8a6f
Size: 5733
Filename: py25-cherokee-scgi_1.11-1_powerpc.ipk
Source: http://www.cherokee-project.com/download/pyscgi/cherokee_pyscgi-1.11.tar.gz
Description: PySCGI is a 100% Python module implementing the SCGI protocol. It can be used to write Python-based application servers.

Package: py25-scgi
Version: 1.14-1
Depends: python25
Status: unknown ok not-installed
Section: misc
Architecture: powerpc
maintainer: NSLU2 Linux <[email protected]>
MD5Sum: 3ef2e56d9a615696c916a1d67e91e8df
Size: 17337
Filename: py25-scgi_1.14-1_powerpc.ipk
Source: http://python.ca/scgi/releases/scgi-1.14.tar.gz
Description: Server-side implementation of the SCGI protocol.

Package: py26-cherokee-scgi
Version: 1.11-1
Depends: python26
Status: unknown ok not-installed
Section: misc
Architecture: powerpc
maintainer: NSLU2 Linux <[email protected]>
MD5Sum: cfe5fd592cc4f9917d2ab407d3ca5ea0
Size: 5737
Filename: py26-cherokee-scgi_1.11-1_powerpc.ipk
Source: http://www.cherokee-project.com/download/pyscgi/cherokee_pyscgi-1.11.tar.gz
Description: PySCGI is a 100% Python module implementing the SCGI protocol. It can be used to write Python-based application servers.

Package: py26-scgi
Version: 1.14-1
Depends: python26
Status: unknown ok not-installed
Section: misc
Architecture: powerpc
maintainer: NSLU2 Linux <[email protected]>
MD5Sum: 0c4feb18843c4f41433b26abc4d1329f
Size: 17308
Filename: py26-scgi_1.14-1_powerpc.ipk
Source: http://python.ca/scgi/releases/scgi-1.14.tar.gz
Description: Server-side implementation of the SCGI protocol.

Successfully terminated.
 

randac56

Member
May 25, 2018
915
0
16
also I ran rtorrent from the console earlier and it crashed. This was reported -

Code:
MiniSrvr> rtorrent -n -o import=/opt/etc/rtorrent.conf
Caught Segmentation fault, dumping stack:
0 rtorrent [0x10049100]
1 rtorrent [0x1004b810]
2 rtorrent [0x1004f708]
3 /lib/libpthread.so.0 [0xf601df4]
4 [0x100454]
5 /opt/lib/libxmlrpc.so.3 [0xfd44708]
6 /opt/lib/libxmlrpc.so.3(xmlrpc_struct_read_value+0x3c) [0xfd430fc]
7 /opt/lib/libxmlrpc.so.3 [0xfd44708]
8 /opt/lib/libxmlrpc.so.3(xmlrpc_decompose_value_va+0x90) [0xfd45140]
9 /opt/lib/libxmlrpc.so.3(xmlrpc_decompose_value+0x48) [0xfd4530c]
10 /opt/lib/libxmlrpc_server.so.3 [0xfd5ffa8]
11 /opt/lib/libxmlrpc_server.so.3(xmlrpc_dispatchCall+0x104) [0xfd5f2d0]
12 /opt/lib/libxmlrpc_server.so.3(xmlrpc_registry_process_call2+0x118) [0xfd5f470]
13 /opt/lib/libxmlrpc_server.so.3(xmlrpc_registry_process_call+0x20) [0xfd5f5d0]
14 rtorrent [0x100d9ae0]
15 rtorrent [0x1003b9cc]
16 rtorrent [0x100d863c]
17 rtorrent [0x100d936c]
18 /opt/lib/libtorrent.so.11(_ZSt8for_eachIN9__gnu_cxx17__normal_iteratorIPPN7torrent5EventESt6vectorIS4_SaIS4_EEEENS2_12poll_check_tISt9mem_fun_tIvS3_EEEET0_T_SF_SE_+0xa0) [0xfdcf500]
19 /opt/lib/libtorrent.so.11(_ZN7torrent10PollSelect7performEP6fd_setS2_S2_+0x104) [0xfdce0d0]
Aborted (core dumped)
 

lisas4567

Member
May 25, 2018
773
0
16
the first step is making sure you have rtorrent compiled with xmlrpc-c

If you can't get THAT part right, then nothing else will matter.


so, you need to download xmlrpc-c, then compile it (advanced is best) then you need to compile libtorrent, then you need to compile rtorrent with xmlrpc-c


once you've done THAT, test that rtorrent starts with the proper messages

something like this:
Code:
XMLRPC initialized with 519 functions.

when you've got that working, you can worry about the webserver next.
 

randac56

Member
May 25, 2018
915
0
16
I believe I have done those things. If I open rtorrent in the console I get
Code:
(10:21:18) Using 'select' based polling.
(10:21:18) Ignoring ~/.rtorrent.rc.
(10:21:18) XMLRPC initialized with 519 functions.
(10:21:18) The SCGI socket is bound to a specific network device yet may still pose a security risk, consider using 'scgi_local'.
[Throttle 80/ 80 KB] [Rate 0.0/ 0.0 KB] [Port: 51778] [U 0/26] [D 0/26] [H 0/32] [S 0/3/768] [F 0/128]

but as it is running in console if I try to open rutorrent, rtorrent in the console dies and gives me the following error
Code:

Caught Segmentation fault, dumping stack:
0 rtorrent [0x10049100]
1 rtorrent [0x1004b810]
2 rtorrent [0x1004f708]
3 /lib/libpthread.so.0 [0xf601df4]
4 [0x100454]
5 /opt/lib/libxmlrpc.so.3 [0xfd44708]
6 /opt/lib/libxmlrpc.so.3(xmlrpc_struct_read_value+0x3c) [0xfd430fc]
7 /opt/lib/libxmlrpc.so.3 [0xfd44708]
8 /opt/lib/libxmlrpc.so.3(xmlrpc_decompose_value_va+0x90) [0xfd45140]
9 /opt/lib/libxmlrpc.so.3(xmlrpc_decompose_value+0x48) [0xfd4530c]
10 /opt/lib/libxmlrpc_server.so.3 [0xfd5ffa8]
11 /opt/lib/libxmlrpc_server.so.3(xmlrpc_dispatchCall+0x104) [0xfd5f2d0]
12 /opt/lib/libxmlrpc_server.so.3(xmlrpc_registry_process_call2+0x118) [0xfd5f470]
13 /opt/lib/libxmlrpc_server.so.3(xmlrpc_registry_process_call+0x20) [0xfd5f5d0]
14 rtorrent [0x100d9ae0]
15 rtorrent [0x1003b9cc]
16 rtorrent [0x100d863c]
17 rtorrent [0x100d936c]
18 /opt/lib/libtorrent.so.11(_ZSt8for_eachIN9__gnu_cxx17__normal_iteratorIPPN7torrent5EventESt6vectorIS4_SaIS4_EEEENS2_12poll_check_tISt9mem_fun_tIvS3_EEEET0_T_SF_SE_+0xa0) [0xfdcf500]
19 /opt/lib/libtorrent.so.11(_ZN7torrent10PollSelect7performEP6fd_setS2_S2_+0x104) [0xfdce0d0]
Aborted (core dumped)
 

simur612

Member
May 25, 2018
879
0
16
I think, your rtorrent is compiled with one version of xmlrpc-c, but dynamically load libraries of another version.
 

lisas4567

Member
May 25, 2018
773
0
16
yes, this happens often with debian based systems.

When compiling rtorrent make sure to SPECIFY like this:
Code:
./configure --with-xmlrpc-c=/usr/local/bin/xmlrpc-c-config

(note: this is if you compiled xmlrpc-c to the default /usr/local location. you can also use other paths, just modify accordingly)


the "best" method may be to do something like this:

install xmlrpc-c with something like:
Code:
./configure --prefix=/opt/rutorrent
make
make install
then install libtorrent with something like
Code
./configure --prefix=/opt/rutorrent
make
make install


then export pkg_config_path
Code:
export PKG_CONFIG_PATH=/opt/rutorrent/lib/pkgconfig:$PKG_CONFIG_PATH
then configure rtorrent
Code:
./configure --prefix=/opt/rutorrent --with-xmlrpc-c=/opt/rutorrent/bin/xmlrpc-c-config
make
make install

of course, that doesn't include all the extracting and all that but you get the idea.

Then, for your rtorrent user, add /opt/rutorrent/bin to thier path and it will run properly
 

randac56

Member
May 25, 2018
915
0
16
Thanks for the suggestions wonslung but it those steps weren't necessary. I am not sure how I did it but I got rutorrent working. I even reset the system and install everything from scratch to make sure.